netplads:phpversion

Forskelle

Dette viser forskellene mellem den valgte og den nuværende udgave af dokumentet. Gul er linjer der findes i den gamle udgave, og grøn er linjer der findes i den nuværende.

Link til denne sammenlinings vising

Begge sider forrige revision Forrige revision
Næste revision
Forrige revision
netplads:phpversion [2019/03/29 13:40]
LarsenData [Hvilken versioner er til rådighed?]
netplads:phpversion [2019/12/02 12:13] (nuværende)
LarsenData [Hvilken versioner er til rådighed?]
Linje 8: Linje 8:
 ====== PHP version ====== ====== PHP version ======
  
-Default PHP version er i øjblikket **7.1** (December ​2018)+Default PHP version er i øjblikket **7.2** (December ​2019)
  
 Bemærk at PHP versionen ikke er statisk, og vil ændre sig over tid. Vi kører som standard laveste versionsnummer,​ som stadig modtager opdateringer. Når den version er ca. 1 måned fra at miste opdateringer,​ vil vi skifte til den næste version, som stadig modtager opdateringer. Bemærk at PHP versionen ikke er statisk, og vil ændre sig over tid. Vi kører som standard laveste versionsnummer,​ som stadig modtager opdateringer. Når den version er ca. 1 måned fra at miste opdateringer,​ vil vi skifte til den næste version, som stadig modtager opdateringer.
Linje 15: Linje 15:
 ===== Hvilken versioner er til rådighed? ===== ===== Hvilken versioner er til rådighed? =====
  
-I øjeblikket er PHP 7.1, 7.2 og 7.3 til rådighed.+I øjeblikket er PHP 7.2 og 7.3 til rådighed. 
 + 
 +  *  **PHP 5.6 fjernes inden udgangen af 2018. (er nu fjernet)** 
 +  * **PHP 7.1 fjernes inden udgangen af 2019. (er nu ikke mere default)** 
  
-**PHP 5.6 fjernes inden udgangen af 2018. (er nu fjernet)** 
  
 ===== Men min kode kan ikke kører uden PHP x.x? ===== ===== Men min kode kan ikke kører uden PHP x.x? =====
  
-Du kan i 2018 stadig vælge PHP 5.6, men i slutningen vil det forsvinde som en mulighed.+Du kan i 2018 stadig vælge PHP 5.6, men i slutningen ​af 2018 vil det forsvinde som en mulighed.
  
 Det kan være du kan bruge fx. dette som "quick and dirty" fix, men bedste fix er at opdatere din kode: [[https://​github.com/​swisnl/​php7-upgrade-tools|PHP7 Upgrade tools]] Det kan være du kan bruge fx. dette som "quick and dirty" fix, men bedste fix er at opdatere din kode: [[https://​github.com/​swisnl/​php7-upgrade-tools|PHP7 Upgrade tools]]
Linje 29: Linje 32:
 ===== Hjæææælp!??​!?​ ===== ===== Hjæææælp!??​!?​ =====
  
-Dette er meget teknisk, og virker din nuværende kode ikke, fordi den ikke virker med PHP 7.x, så kan du sætte PHP tilbage til 5.6 i resten af 2018. Men det løser ikke problemet, og du må finde nogen til at opdatere din kodebase med det samme.+Dette er meget teknisk, og virker din nuværende kode ikke, fordi den ikke virker med PHP 7.x, så må du finde nogen til at opdatere din kodebase med det samme. 
 + 
 +Vi kan ikke hjælpe med at opdatere custom kode til nuværende PHP versioner
  
  • netplads/phpversion.1553866815.txt.gz
  • Sidst ændret: 2019/03/29 13:40
  • af LarsenData